summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin269240 -> 269228 bytes
-rw-r--r--dev-python/a2wsgi/Manifest2
-rw-r--r--dev-python/a2wsgi/a2wsgi-1.10.1.ebuild30
-rw-r--r--dev-python/anyio/Manifest2
-rw-r--r--dev-python/anyio/anyio-4.3.0.ebuild61
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.98.8.ebuild90
-rw-r--r--dev-python/mkdocs-material/Manifest2
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.5.10.ebuild67
-rw-r--r--dev-python/nbconvert/Manifest2
-rw-r--r--dev-python/nbconvert/nbconvert-7.16.1.ebuild74
-rw-r--r--dev-python/selenium/Manifest3
-rw-r--r--dev-python/selenium/selenium-4.18.0.ebuild65
-rw-r--r--dev-python/tempest/Manifest2
-rw-r--r--dev-python/tempest/tempest-37.0.0.ebuild74
-rw-r--r--dev-python/tempora/Manifest2
-rw-r--r--dev-python/tempora/tempora-5.5.1.ebuild33
-rw-r--r--dev-python/urllib3/Manifest2
-rw-r--r--dev-python/urllib3/urllib3-2.2.1.ebuild92
-rw-r--r--dev-python/xarray/Manifest2
-rw-r--r--dev-python/xarray/xarray-2024.2.0.ebuild91
21 files changed, 698 insertions, 0 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index a19d6226e030..77692cb15e25 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/a2wsgi/Manifest b/dev-python/a2wsgi/Manifest
index c989bcd7b3ae..f240797a0bf0 100644
--- a/dev-python/a2wsgi/Manifest
+++ b/dev-python/a2wsgi/Manifest
@@ -1,3 +1,5 @@
DIST a2wsgi-1.10.0.tar.gz 17811 BLAKE2B f88c243b2141c1ec04eb1447714f66384cd9dd630a081233f801779cc2abbebc1bcf479f3f5311e2f4b7a33ab549cce7197f78a8cf79221f6fe38131d2bd41e5 SHA512 fa92e7cdbcfe1a4ece72ce39c4d718b50f3e6b78daf0c85cbe7b933bca5dcc6d5e27d4004f58d8ce83fdaf7fcb43f25fbd481a0f5f4141f42d72ec5757dc1ab9
+DIST a2wsgi-1.10.1.tar.gz 18121 BLAKE2B e5d17100d8ccf4f8d6fabc3156d66dbbf0cedaf52cd6714385ade7760792db476a197c9955aa99b906a2e3e08d0458f646781f04d0905671ab0a38e9908ac07b SHA512 b0347462c3557444c4fd33f922ea0baf3ef92d390820ce4d5bf723ae6af708c3b5fdd05c2be7d92fc31f4b76a157b37fbe784c30c3b6588d13e6a23028ddf059
EBUILD a2wsgi-1.10.0.ebuild 716 BLAKE2B 89f1f6fb34e94c39f518812a53d9e64c07db417196b557ff4754ccaecc0167be4a17ef656535a9a94fed2ba0252b9098bc898608fe602dce945c2214137c7e54 SHA512 fc24584516577a848d79ed09c485ca7f40b8fe003903765a330c48418114195b5bffb1befbbbe07fa1ac3bc3c0ba4044e95b5516ee8eac0724130cab80d29b63
+EBUILD a2wsgi-1.10.1.ebuild 724 BLAKE2B 0e50baeefb442f014d0dc77bc734f6a3ddf47bf0b06e273f3ffe48ae2cc3c0c576fd7199f88e6b47079af87b6af6fd5185ecb464be671bbe70f702525cff7857 SHA512 afa1cc8956cd86e62cbcf9e3e5467bd140c58e98d6aec2f7f54afc3dccc592438383c6719dd4ed1750ba2df52dc27d20b3bf87b5fe5018db59a53b362a142303
MISC metadata.xml 392 BLAKE2B 17f9cfa46eeac0752f6e27d004a04173528f5033dee30ba31bb9b0d86231b3311937e0765cba3cae0fcc8b9653654c9b53bbc009f15140db0b38496856b9c27e SHA512 828436206a1e9b01df9da1546ffc8e6bc614e71708ad8a806dda9ab2dad80c86e539c37496a0c2525f0370e9ead3131bbde69f235da83331cd5097985981006e
diff --git a/dev-python/a2wsgi/a2wsgi-1.10.1.ebuild b/dev-python/a2wsgi/a2wsgi-1.10.1.ebuild
new file mode 100644
index 000000000000..4dab2405e9f9
--- /dev/null
+++ b/dev-python/a2wsgi/a2wsgi-1.10.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Convert WSGI app to ASGI app or ASGI app to WSGI app"
+HOMEPAGE="
+ https://github.com/abersheeran/a2wsgi/
+ https://pypi.org/project/a2wsgi/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ <dev-python/asgiref-4[${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.2.7[${PYTHON_USEDEP}]
+ <dev-python/httpx-1[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.22.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/anyio/Manifest b/dev-python/anyio/Manifest
index c4b8a4e16508..a2a26ab9529a 100644
--- a/dev-python/anyio/Manifest
+++ b/dev-python/anyio/Manifest
@@ -1,5 +1,7 @@
DIST anyio-3.7.1.tar.gz 142927 BLAKE2B 80a093943fbd23069e9511a83b3eb1e27f2863b11e184709f92cab2dfebc05ea3c291d22be4b1e79d00ae52e10009d5fb2c664730009b40e2b666587538d0ca5 SHA512 067bbffa9e0d6ce339a4999a677c857e839aa3bf5a056d841fec8cbd3be17023c9158df907ff66b9a5437a78158bc9bbb3b9ebe30c57ef98660642bc057d7d10
DIST anyio-4.2.0.tar.gz 158770 BLAKE2B 10ae621872edb27727c8931904c84f41dc18ef0cc4cce1ea18c957d479be24b1a4ffb15d8a9e2b4338663fdbc2a989e5772ba1bd2076f9f0b22f6f5c4feef4bc SHA512 a6f3cbedbfa063a5cf031cd833e6da7a23ee37dbdae8d47ccdfb09c61a73c186267f1a33ba6b4936cac7fb4c970f5488ff1464295e5ffa452952732ac0468d65
+DIST anyio-4.3.0.tar.gz 159642 BLAKE2B 33b300d1da37137d45b311f8424c022d19518c207c39ec6f8bd3e42432cf1457f2d533eadeaa1e21853ed1b25a4f58818fc595e8588489722846f8a8d72262dc SHA512 26ff552a03b24b63c7c99cffcec61e97289eacba3ad2fc7a3c1dde8cfaffd9a8d621b867429901c12d7cef912d3807db134dbeb9c5ba619921160f6d5df4d02f
EBUILD anyio-3.7.1.ebuild 2031 BLAKE2B 92d72a3c4833070582501bd18646c41c8d1a8551adae6dda13ea3fd7de20d199a3e3bcf5d8326d6c998c7ad9bf1d38291b05ad970c2c74b0698b66d9ca9c3c8b SHA512 233f500a7a0e2b2b7c371ee7a2ecbaa3ee5e52d1c557c5d9d94e6098590175a305a45960036a9106a2b56c8ec1cb84ba500221d473224ee30519f47119d7fc94
EBUILD anyio-4.2.0.ebuild 1684 BLAKE2B 82452731d1288270c4d6229f5a8aedf5e930f292ad4df17e145fa4239390dc9172623fa33c464893bc371c74023c7ffe7fc1e6801a4cbd09872ab6c3def463c8 SHA512 478925f2d70e8c5130f75a2650da30b5c8e772a79d25d2dc73d5eafb4d9ad6e8afaa23d94074993d14b1928b0aefd53fc6fc8840363a2ec514142a83f5c9039d
+EBUILD anyio-4.3.0.ebuild 1692 BLAKE2B 4717758a6e86e9ae8ee11ec3d51de1af31e91bcc6a313160026924bbb9be22c973ee2d9084e38dc8a6ed2dd5a6cf6a000860df07d6b0dcdd0ef9dbbd402e46f4 SHA512 c6ef93b1e08b2d662935a6347e6bdba9b553fedf74869b12c278875bee44272b6ecbc168a016e88a3b851d6b0294f17e3ec311fc07a409ba09d00dcf70e7cd9d
MISC metadata.xml 1422 BLAKE2B 63acae587e7088e33ee5eb93a2a222899e54a5eb511118794f88e7c5a012d10983eb925427688a0b509b094e30a9cc9acc5f0c1765ea73e569161e0c30722000 SHA512 e0b540d5d739b7673a5a8682477f209f8b3648aad06a1c0610543a2e9dcbeca1cb1e52212d8088a5987a1c3bc3152cc5984ad5b5d0706fcdb5866b22de07b1eb
diff --git a/dev-python/anyio/anyio-4.3.0.ebuild b/dev-python/anyio/anyio-4.3.0.ebuild
new file mode 100644
index 000000000000..694cd3be7f30
--- /dev/null
+++ b/dev-python/anyio/anyio-4.3.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Compatibility layer for multiple asynchronous event loop implementations"
+HOMEPAGE="
+ https://github.com/agronholm/anyio/
+ https://pypi.org/project/anyio/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/exceptiongroup-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.8[${PYTHON_USEDEP}]
+ >=dev-python/sniffio-1.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.1[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+# On amd64, let's get more test coverage by dragging in uvloop, but let's
+# not bother on other arches where uvloop may not be supported.
+BDEPEND="
+ >=dev-python/setuptools-scm-6.4[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/hypothesis-4.0[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.9[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.6.1[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.23[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ amd64? (
+ $(python_gen_cond_dep '
+ >=dev-python/uvloop-0.17[${PYTHON_USEDEP}]
+ ' python3_{10..12})
+ )
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ '>=dev-python/sphinx-rtd-theme-1.2.2' \
+ dev-python/sphinxcontrib-jquery \
+ dev-python/sphinx-autodoc-typehints
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires link-local IPv6 interface
+ tests/test_sockets.py::TestTCPListener::test_bind_link_local
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -m 'not network'
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 1f44d5d3e52a..66516eb99374 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -11,6 +11,7 @@ DIST hypothesis-6.98.4.gh.tar.gz 9438902 BLAKE2B a5c560711448c301665a9c9d2f61069
DIST hypothesis-6.98.5.gh.tar.gz 9422518 BLAKE2B ff79d5ddad7d1474ccc536dba4222e8ba19a5066011e532384a7b1e686b44a2e4bd48df107b6be868e40513ee691dc3d8d401ac22109f058a948c0eec1d5266a SHA512 c77714986451eb9992254734b5302979ea51e5baae769e57a1076dd770abfe7c61ce38be865552d4961d5a6f2ae3d7325888404265e92a106f2c2cdc177f624d
DIST hypothesis-6.98.6.gh.tar.gz 9423503 BLAKE2B b2f3f0be0767d23db33dc87a3adef42d26b15e09d493fa1be8ae817bb316691946eb97876d66e67ee8e78e9023a8b2ba977e19878d3457d8ea4a28a9b1df4d05 SHA512 435b41651935f25264126aa13c3c15801ec384f30b6e6f701e6eff29f07dd867eaed0eaca9be4182f043dac3146597c5567bcdd5e1cc3bc929065ca37eb495ff
DIST hypothesis-6.98.7.gh.tar.gz 9423646 BLAKE2B eb8869505917818f8ae1af14ade442678eb6a5424bf198a097757a3f22c0bb21aa4d9085c9fcddc2b11753e249f57892fd7ac2adf7b6cbd15bbce7e1bd836850 SHA512 2068ab1021c4bd030f6eb91a55c32c00da76e54dbdf5dbbc43fa28ac52120424a884b73add4bf2217fae60622713277b5f242ddd4dc63914b3417cd51ce158d5
+DIST hypothesis-6.98.8.gh.tar.gz 9426240 BLAKE2B 7275b5c56531804dcddb694a8123405c2f597b2a380df6942ef61e1deb3bbdd39005db9d2749cb3c7843f4ef762110c41ad6e07ce1bc1920a17920f070268fa5 SHA512 1df41a332c42e5faa6a3850f5b270a7de7e78ee7f257026893ee79d718a88297a3cf55b0dadc1b3e320b17bc0dfe4487f727212982a3de69a06bf0586d07b9aa
EBUILD hypothesis-6.93.2.ebuild 2461 BLAKE2B 343d4374955bed436ecb2533684eac1d2013c8b6c691bf72477a24c52e5caf7e71e61b67de8475c38e940a13b046ed07e8f2b188ad39c3acff8de4df3f7f5a97 SHA512 3a72f5c9f5c1b3787c37cd8830321a47a5c54c655c8b75fdeaa4b09c6c4db310914ebfa5cf631c2576e92e4bd56e106f745e25777b5f86cd7b0cc58ec838fa7b
EBUILD hypothesis-6.96.4.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.97.1.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
@@ -24,4 +25,5 @@ EBUILD hypothesis-6.98.4.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163
EBUILD hypothesis-6.98.5.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.98.6.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.98.7.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
+EBUILD hypothesis-6.98.8.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
MISC metadata.xml 492 BLAKE2B c9e9bbd59af55d1f47e5b7a86933c02b47f832122d03eaca56bd3ec9476cf260d91d4fd2da5068845d4525b7cc9f702b515e8d6a0dffa7923f5898cfd44e12a1 SHA512 166b33d6ac887f52d54fb9d556102038c00650a597d2de1c3aad3f8b5e136e9b6b7db31f05f3379435e4c5f943156d5839d78fc95461af411037a3162ea6705e
diff --git a/dev-python/hypothesis/hypothesis-6.98.8.ebuild b/dev-python/hypothesis/hypothesis-6.98.8.ebuild
new file mode 100644
index 000000000000..f7f366381e4f
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.98.8.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -n "$(makeopts_jobs)" --dist=worksteal \
+ tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index 3ef7af7d8551..7c0f9da62ecf 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1,6 +1,8 @@
AUX mkdocs-material-8.5.7-simplify-build.patch 529 BLAKE2B 60a246940983ca713b370b454fff74a36dedf1aec175e72455255b35164f75f7eb79144cff67df4b1ec143a4e19b043042c9bce562456133c917c27018c4862a SHA512 51b18f3faa4a3adfc9cf8ad1fa5fd63f787a3b2b9c9769b5889a2abab621ff6e14e034487f5573418405b26bc11155e44f7c6d50acea8baf9f45164fb3ec7984
+DIST mkdocs-material-9.5.10.gh.tar.gz 14770017 BLAKE2B 90f436c205d226332b1b3acee73649a77bf01ced13e403230396f0fcf5aa7a30721d1eacb6b788324f12b08c190c7387677f4588d00d6ccab59b6ed46d2fbc1f SHA512 4ab89fdf3f31355520d49e290db613e8585a92a349bc5bb064363d8dc6c65c2998cceb2e455324880166300b05593e2195c6dcf916dbe5ac286f3112ff4f82a2
DIST mkdocs-material-9.5.7.gh.tar.gz 14715071 BLAKE2B 4eb978e28150b00b925fa151445b459cb048b8a48526aadc1f82b12fab65e8635d1417546b280cfd7af3dc6a9cf4d2ed7984958896bfa910d3d14fa27059c907 SHA512 4a5163bb5e5705a1d9bf35ed88746cff1e8bb74e7dfa92b73304a9261702449e6c63fbbcaf7680ff28ba8a344376adf777d74f145f3668076036518c143064e5
DIST mkdocs-material-9.5.9.gh.tar.gz 14726800 BLAKE2B dad4da1b661b0e1c67884248cf526bc19b3c2e33d5d2da7bfcc5589f6dde953147672ac657e84e7825ef8dcc061f6bc8aaabd6b24a3caa962dbdfa5ab8f2d49e SHA512 74031f4e9bb3ffd5cd02ee4301b5d61861e36a5cbdbc385c7db253e18c4d935ef959bf6c58033887f1edd6e3011d38b45c6bdca0ae838f76536df439447d79fc
+EBUILD mkdocs-material-9.5.10.ebuild 1797 BLAKE2B a39f2daf4cb4df3d7b94ba8d4cd5c7ba541e97afbe8747f21ce9f6e88e4455e2b40d13a37090ff0df1d5b98676c73e4c6d1db7a89f09c315034e00c823c39c5f SHA512 482cd4f0c8e3512b8f3270115b1a90f727ab29d9c7097deb9a5a0215516f2b9ac1825f00bf1ae50b91b8aaeb22b75f7b77f1e8e22c10efb4ea8424a2e7a5ce5a
EBUILD mkdocs-material-9.5.7.ebuild 1794 BLAKE2B 57edfb330af7a05f23b7baa57c878462f123a83e5b647ecfab1b8e25e5aa44a59586878bab2e3b7744174bc818dd4ba6b4561d3bfb7df69de53db1112ece4545 SHA512 bdb3af90984d501faa16d0cd27bf72fc9e4965ecbf427b99fcb5e7d615f4edb8610bfeb86b958559a3640b05d4bef3e2d7fe35a3e136ef044886461deae6496a
EBUILD mkdocs-material-9.5.9.ebuild 1797 BLAKE2B a39f2daf4cb4df3d7b94ba8d4cd5c7ba541e97afbe8747f21ce9f6e88e4455e2b40d13a37090ff0df1d5b98676c73e4c6d1db7a89f09c315034e00c823c39c5f SHA512 482cd4f0c8e3512b8f3270115b1a90f727ab29d9c7097deb9a5a0215516f2b9ac1825f00bf1ae50b91b8aaeb22b75f7b77f1e8e22c10efb4ea8424a2e7a5ce5a
MISC metadata.xml 1146 BLAKE2B c9eb031eb40f303fdcc39f891cdd2d4317075deb030d0f8374f874ecd63bf73960427eb3ee485b5b28515f58689b1e1bf977ee7b565bf8f9275b115853044f2c SHA512 01db399842cb09af4823278f84fcf8c51ed42609a2e61d8e64964e1759e14d22ed2f32ec0565f19184575089a218dad4939337798cd3a5b39f5be55f5f7edb69
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.5.10.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.5.10.ebuild
new file mode 100644
index 000000000000..46c2a0851fa9
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.5.10.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="social"
+
+RDEPEND="
+ >=dev-python/Babel-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.5.3[${PYTHON_USEDEP}]
+ >=dev-python/paginate-0.5.6[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.16[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-10.2[${PYTHON_USEDEP}]
+ >=dev-python/readtime-2.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ social? (
+ >=dev-python/pillow-10.2[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.5[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/trove-classifiers-2023.10.18[${PYTHON_USEDEP}]
+"
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.2[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/nbconvert/Manifest b/dev-python/nbconvert/Manifest
index 896fc265ea09..817a564a30cc 100644
--- a/dev-python/nbconvert/Manifest
+++ b/dev-python/nbconvert/Manifest
@@ -1,7 +1,9 @@
DIST nbconvert-7.14.2.tar.gz 852202 BLAKE2B 195a4f8088ec82d7fcb56b7450878d8e769027bedf64dec82adfb2683936400c74b62ceb2a24d47724584df0cfa0e9c773e53357b412eda0958aa2c4256cb3fd SHA512 79a91b2cacb50af8eb584668b070bf233de4cdf783fa0d9d256c2204de4a97efc5224088811b6f2b5f89015e4180a24da63c5b79a026b1966df157de325114cd
DIST nbconvert-7.15.0.tar.gz 853363 BLAKE2B c417428708279099d8a966ab61d044be1deebbb37757b75a248b8bf50302db8a7ba39a25c0d255777d695f9af93f43f420727c33bdad0a4a239660b7f74cc49a SHA512 bf598cc776ceadadecdec816ec8fd78502cffae399175d22cf184d6e45974fcd0d5e731ef8aa032aec251dcd2a8e5d6077c585c5f70786d4cbe72979e1ad8503
DIST nbconvert-7.16.0.tar.gz 853637 BLAKE2B 6fdfe20563813c9d331c7406b74bedb09330c812f8be9e78cad76d4a741fc130dcaad95960a1dc5f6028075b6599db9349fabcab7f08906349501cad21401334 SHA512 22e5e5f8d52a27322378da10ecd14b10a14e2a022e7940fbfe2f7c9b9359a00a952d3b32ecd0c0f4959a5d2792630a7a7620dd4476324a773cda840f83aa74f4
+DIST nbconvert-7.16.1.tar.gz 854006 BLAKE2B 304690bc9c6636efdec1f904314bab6db7805da5608dd929a837d2c56253423c0df1f8c5e5add54deb32e2a60bc6497c823602d1a11d13bb3b1004cc2f5cd4cc SHA512 6a2991eab0b1e981920d7c040535a1bffea037e854b6aeca26a2c185a31305855096f83092348e7dbd102094d5bda860bc893594126e969cfe170d09f7a808d5
EBUILD nbconvert-7.14.2.ebuild 2129 BLAKE2B c985ceeaa9b95b9c4404cdab39009e13d3b1873e96fcd351237a0e07642fb845900035bdfe8d1e1f7d27c51a58d5d1f74442cdf9346c47f0b3732f7c89cbe313 SHA512 8954d7e0a0a8a5a139c2b6ffb19185061db8fa51e7b77a4ac9bedb1e83326722a599f05b1cc0486a9b81af380d4ab36eb98a5c3580f771678cfacfb327b88a94
EBUILD nbconvert-7.15.0.ebuild 2136 BLAKE2B 977df81ed6e32340d84d104efa8969b83a876e96aed32600151a31ef2c6cb1d692002481718472f6ae4ed2b16d1635bd69d5bdf7d0b068c3a2836c48df728140 SHA512 005f516a9011e128e8b867315fc1ddbc57b615d7ff11d51fe21bd73068b1bff5b1f7df2898450a545516fee35e11c0d64db2d8b34634f92bc41c659826bdeedf
EBUILD nbconvert-7.16.0.ebuild 2136 BLAKE2B 977df81ed6e32340d84d104efa8969b83a876e96aed32600151a31ef2c6cb1d692002481718472f6ae4ed2b16d1635bd69d5bdf7d0b068c3a2836c48df728140 SHA512 005f516a9011e128e8b867315fc1ddbc57b615d7ff11d51fe21bd73068b1bff5b1f7df2898450a545516fee35e11c0d64db2d8b34634f92bc41c659826bdeedf
+EBUILD nbconvert-7.16.1.ebuild 2136 BLAKE2B 977df81ed6e32340d84d104efa8969b83a876e96aed32600151a31ef2c6cb1d692002481718472f6ae4ed2b16d1635bd69d5bdf7d0b068c3a2836c48df728140 SHA512 005f516a9011e128e8b867315fc1ddbc57b615d7ff11d51fe21bd73068b1bff5b1f7df2898450a545516fee35e11c0d64db2d8b34634f92bc41c659826bdeedf
MISC metadata.xml 527 BLAKE2B a915103b3eaf57236f4257c98354a1e3733771369ac825fa8bbc4f79f0d1a23272dc86e744513620fbee37792e813a15dbb955e633a7c57597c3c38657ed05d3 SHA512 b60a311ce52915dbc12addd4a882670ac96ff8b3be2aa651eaac3d0963d6e73a72eaafd53f90fb685599504857e6bcd0568071962d7696c2605462b77260ad6a
diff --git a/dev-python/nbconvert/nbconvert-7.16.1.ebuild b/dev-python/nbconvert/nbconvert-7.16.1.ebuild
new file mode 100644
index 000000000000..90b36a68a170
--- /dev/null
+++ b/dev-python/nbconvert/nbconvert-7.16.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="Converting Jupyter Notebooks"
+HOMEPAGE="
+ https://nbconvert.readthedocs.io/
+ https://github.com/jupyter/nbconvert/
+ https://pypi.org/project/nbconvert/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/bleach[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-4.7[${PYTHON_USEDEP}]
+ dev-python/jupyterlab-pygments[${PYTHON_USEDEP}]
+ >=dev-python/markupsafe-2.0[${PYTHON_USEDEP}]
+ <dev-python/mistune-4[${PYTHON_USEDEP}]
+ >=dev-python/nbclient-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.7[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pandocfilters-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.1[${PYTHON_USEDEP}]
+ dev-python/tinycss2[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ >=dev-python/ipywidgets-7.5[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_nbconvertapp.py::TestNbConvertApp::test_convert_full_qualified_name
+ tests/test_nbconvertapp.py::TestNbConvertApp::test_post_processor
+ # crazy qtweb* stuff, perhaps permissions
+ tests/exporters/test_qtpdf.py::TestQtPDFExporter::test_export
+ tests/exporters/test_qtpng.py::TestQtPNGExporter::test_export
+ )
+
+ # virtx implies nonfatal, make it explicit to avoid confusion
+ nonfatal epytest || die
+}
+
+pkg_postinst() {
+ if ! has_version virtual/pandoc; then
+ einfo "Pandoc is required for converting to formats other than Python,"
+ einfo "HTML, and Markdown. If you need this functionality, install"
+ einfo "app-text/pandoc or app-text/pandoc-bin."
+ fi
+}
diff --git a/dev-python/selenium/Manifest b/dev-python/selenium/Manifest
index 82116f2c4b3f..a22ceb88ee4e 100644
--- a/dev-python/selenium/Manifest
+++ b/dev-python/selenium/Manifest
@@ -1,4 +1,7 @@
DIST selenium-4.16.0.tar.gz 9741404 BLAKE2B 13b24b883ff6d276164ed845405e70c0267506656ce4ee63f0653e409e3c70fd8d3aa2bc1a551d051ea0c95f0bb6b60b5474caefd69e0bddfc97d1cbf9aabbcf SHA512 86aea8f4a23b9e70de36c3024cf5eee32f4d44a6868bd98eda547d9ca51179b4618c6c408e0d0a658c621de2573e98b3d8093753a9c335986a287e00fb3238c8
+DIST selenium-4.18.0.tar.gz 9781506 BLAKE2B 6e32db8e5e5e143047fd8c2dd590b2b47a62f06a0f080400d79b86715e48d4361b4db59d458961c4a0572c3ccea056b6d7c8c307b5312d00a12f425c5317cef8 SHA512 b2367bd263c739afb29b459467d046ee2cf17ba03b70a25c2160d4982acc9ffdf9c65f8961e8c17eb0d67a843f6c857779308454e710f9ccc6e2e6ece145f10c
DIST selenium-selenium-4.16.0.gh.tar.gz 77969888 BLAKE2B efc9b444762eb8921d35a2ed1b86c197d314a2e5d65fd430ff996735acf0c1dc03c25a9300946d98230a87f1eed4c0260ec57238f49853b6461a1f0cbeb3e151 SHA512 05cf76bb6df21f32a04485c4a1180d02f028ecb5c49f5f680bcdcc9711ca9f407a6e2d6754708cf2023ca6a19910a411711393892a741bc1f658496bbc809ac2
+DIST selenium-selenium-4.18.0.gh.tar.gz 77571210 BLAKE2B 13d8454d1aaf31f58aa89f5dff4677f34a7b0dd2ace3d42a1f7bf978614abc764bd7a2584133a501c9c533779cbb9976d792d78c898aada39b70899039b8236e SHA512 e782d79950f58fe315823ac749dd919786c6ca71b1b582c396c4fdc7c922411157d3e60294382a00b5633a4f76eff994298e60f3edc18459dc5a14fe94b16b58
EBUILD selenium-4.16.0.ebuild 1649 BLAKE2B c125acb75d9d1a010d298151e11f82802e2ba32749cb1afd2babc4e9cbe985a2ee2032dd89578526baa681b0142d24d3a60d2f4e7aa229977aa170c1d7692136 SHA512 9c8ab48fbf347da1198486c48205371a751a62127f935ce3ae8aa8da115f443ef52cbef837e5627886c781aa140d7f6c3296fe4d1255be4dc95d1a7ebee972bb
+EBUILD selenium-4.18.0.ebuild 1761 BLAKE2B 7355cdbe8cbc655516b61e9fa05ce6f69cd486c97d60faabb28c8ca4fd511cce8636fad799cb913adc89c9f53b1b6f220c2de6f9c8f715a86af2609fa33928ed SHA512 a0447ac8813cdf208fff5d1de476e1db77ff942bafaf5c5f57659569b3dd82390cf67b574c3b1c399f67a0a072cb855bdbf4e65e83dbe0d8be5aa374351fb53e
MISC metadata.xml 383 BLAKE2B d437d1631cefdba12fe2c3ce38ddff34bf9dd2bbc777d5d3425556bda76865711c991c9e3a735130a1d55cb7c6578b083ecb473c28706a2d45563b31bdbe6d1b SHA512 c087323da996b9ad4d0bf8f00306cf044d5daab194b60af029cb1ce06bf60c660fd5959b7914e6f1103143c3e4533d293a6d3bd0ec1c95163eba09d8a19c13a1
diff --git a/dev-python/selenium/selenium-4.18.0.ebuild b/dev-python/selenium/selenium-4.18.0.ebuild
new file mode 100644
index 000000000000..cd1feb489ced
--- /dev/null
+++ b/dev-python/selenium/selenium-4.18.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+# upstream sometimes tags it as ${P}, sometimes as ${P}-python, sigh
+TEST_TAG=${P}
+TEST_P=selenium-${TEST_TAG}
+
+DESCRIPTION="Python language binding for Selenium Remote Control"
+HOMEPAGE="
+ https://www.seleniumhq.org/
+ https://github.com/SeleniumHQ/selenium/tree/trunk/py/
+ https://pypi.org/project/selenium/
+"
+SRC_URI+="
+ test? (
+ https://github.com/SeleniumHQ/selenium/archive/${TEST_TAG}.tar.gz
+ -> ${TEST_P}.gh.tar.gz
+ )
+"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/certifi-2021.10.8[${PYTHON_USEDEP}]
+ <dev-python/trio-1[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.17[${PYTHON_USEDEP}]
+ <dev-python/trio-websocket-1[${PYTHON_USEDEP}]
+ >=dev-python/trio-websocket-0.9[${PYTHON_USEDEP}]
+ <dev-python/typing-extensions-5[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.9[${PYTHON_USEDEP}]
+ <dev-python/urllib3-3[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO: we may need extra setup or deps
+ test/selenium
+
+ # expects vanilla certifi
+ test/unit/selenium/webdriver/remote/remote_connection_tests.py::test_get_connection_manager_for_certs_and_timeout
+ )
+
+ cd "${WORKDIR}/${TEST_P}/py" || die
+ rm -rf selenium || die
+ # https://github.com/SeleniumHQ/selenium/blob/selenium-4.8.2-python/py/test/runner/run_pytest.py#L20-L24
+ # seriously?
+ epytest -o "python_files=*_tests.py test_*.py"
+}
diff --git a/dev-python/tempest/Manifest b/dev-python/tempest/Manifest
index 9c93000eb015..2de4078a9de6 100644
--- a/dev-python/tempest/Manifest
+++ b/dev-python/tempest/Manifest
@@ -1,3 +1,5 @@
DIST tempest-36.0.0.tar.gz 1137446 BLAKE2B f645b35b42252dc2bb4b7e1a3f609ee31e76d60e952c2ebb2a404b5f2e40b449aed0815631e922dffc71bd1598a5554277b851f54b99a37a1af328de171ec3ac SHA512 1d931052aa3fd9c76dc6ea23f861d43842877158307877235f5fc64d8a2a0a65dedefebec7ef5a7153aad7ccc3fc9954a882696adbaa6800af9ea2eb652790dc
+DIST tempest-37.0.0.tar.gz 1146330 BLAKE2B 51acf1e0e8ce3a95d54e7b916100c32cee34f9546166fd43883f9bd5c4d4aad7d846b17c4c805392b64b9a0a02fea903c59b799f14d7e459d337eeb11c62cb6a SHA512 1de0e26c86a59c0e3f3dc494d4fdb4d3ca5ab215c1d52b34b4618e9c939ecd59b29c09bccb31bed7911517edce4cae4f9acbd2d1e28be75b0305850230528c67
EBUILD tempest-36.0.0.ebuild 2197 BLAKE2B 94a1ab9e691b56b9cf8cf60c06c3ff571a4a47137ad66eaca3bdf2d5cbac6e44a04ba199c486dace8c26ba2cfa4eb8b634926763f5faa879f326feabf3a10d9a SHA512 f51431930c7a84aa390228f71e9c566d1b40f9f8d98073d376f06ad7b1b180f888f985b33d7d8f78ad6581b4a5e39e6cb4319a043d388282beba4f1ddc50b5f1
+EBUILD tempest-37.0.0.ebuild 2161 BLAKE2B 71369c13ecf600033f40a588afc14a0fd854b9be5b2647e9e54126756595a1cd4fdb596800193be5138fcb0f0673fd02232cd90a752debb4283d52bdb4c09177 SHA512 00d8febef75cbd09b421b2c3262897ce92ebcca58cd06f4b8422cef59fa3a257c0204779f73fac604804fe9cf2d4eec005e7dbc52e23e520d8a15f92c756d9d7
MISC metadata.xml 442 BLAKE2B 30b474d10a59f53672390e029ffaf894cfe52862af42814ca09500372d4c94afc596177100b9ba69cfd12965e98809de363527d9db345c3b4cf499eaab0375f9 SHA512 d84466ecac31486c92a6c5f87089616b65a1f3cbe9447c3382021af57bec3964a80d4d4421783560528e80e70afb4f4ba604bf2a4e23ac7fcbd873ef3d789859
diff --git a/dev-python/tempest/tempest-37.0.0.ebuild b/dev-python/tempest/tempest-37.0.0.ebuild
new file mode 100644
index 000000000000..6821a436d77d
--- /dev/null
+++ b/dev-python/tempest/tempest-37.0.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="OpenStack Integration Testing"
+HOMEPAGE="
+ https://pypi.org/project/tempest/
+ https://docs.openstack.org/tempest/latest/
+ https://launchpad.net/tempest/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >dev-python/cliff-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/paramiko-2.7.0[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-4.7.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.12[${PYTHON_USEDEP}]
+ >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.21.1[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/defusedxml-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/fasteners-0.16.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ dev-python/stestr[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ # Small subset of tests, which fail as result of not using specific
+ # testing environment.
+ rm -r tempest/tests/lib/services/volume/v3/ || die
+
+ # remove dep on hacking
+ rm tempest/tests/test_hacking.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ mv "${BUILD_DIR}"/install/{usr/,}etc || die
+}
+
+python_test() {
+ local -x OS_LOG_CAPTURE=1 OS_STDOUT_CAPTURE=1 OS_STDERR_CAPTURE=1
+ local -x OS_TEST_TIMEOUT=300
+ stestr --test-path ./tempest/tests run --concurrency="$(makeopts_jobs)" ||
+ die "Tests failed for ${EPYTHON}"
+}
diff --git a/dev-python/tempora/Manifest b/dev-python/tempora/Manifest
index e99ecdbff761..b002cd71f2fb 100644
--- a/dev-python/tempora/Manifest
+++ b/dev-python/tempora/Manifest
@@ -1,3 +1,5 @@
DIST tempora-5.5.0.tar.gz 20877 BLAKE2B 9978fbf5bea1ec9d948ba7440dcbe61e591f32cd6a9db7072beda0d2cec9fdcf1c8793117afdc445d8389446856b11c45b1b93cb27220454180a765008d2b1f5 SHA512 7cf1d7f826e71e03bb733f082f0ac1e8746f1db64776c436fe683369c70164902140df9547757d8ed489366a5f7b336415aec076ea3c4b0b7b633ed09527f01b
+DIST tempora-5.5.1.tar.gz 21145 BLAKE2B b034b85272faefc884e098c1ca58b3e4b1f6598487f4678ed3b0b9f353d70b9862d8eaed425fb812e23630f123a28a25fefc8916a1c9cc882e5ed8c3da98dfa6 SHA512 642c4176ea14504e2f831f738e1064c1fb888ad89a67c74d5bcf2a5389923af3933981393855c7eceaf6c7fc16bbbf4126015d2d1dfa0fdfd38d528d16854dce
EBUILD tempora-5.5.0.ebuild 772 BLAKE2B 651270ec123c34560c1ec20ff2279967335ccec8a563203839f203a0cf2d883ce29e4d3eed4da1206cf45492abba7a235b9e53675783d7d5475248df3583cd99 SHA512 11f88f07c5925b84081d4de0dbe5941359280ad1e6c680d3328c0495539b1744a0fe504cb793b8c102fe2bc52dbd6f59873a3a4002c68269746cd7f1faff741d
+EBUILD tempora-5.5.1.ebuild 780 BLAKE2B 2c2cdec1cd7d5b8a8dd8122c02d4159542c4e774714907b706ac4e87f2ec673b26778e0a558aea269aa9c661ee8994417ee2c9639678da5f335b9618b975b9d7 SHA512 88a39adceef5fe830cab286a37dad0ce23c5aa5aeb552eccea9d764fd2a90c4b8be79f6ad567670b0dd4cf80ce1649ee6802e957f571065e415e7424984ca600
MISC metadata.xml 557 BLAKE2B 496ca69906103b5203131d5bcfd1249e39947857c883519953fd3f9730f9dd518e9d84f31643e152e8fa72423924c8dff7ae64b37c0dd8ffdb987cf7c00b491b SHA512 941db1a4f23e97334811a95d009d13fd04daee291fee43436cf938740f70dad09cc8482262a1a9cf9f838cf0a062d9373bc8d0e582da5b677999273f6967ed09
diff --git a/dev-python/tempora/tempora-5.5.1.ebuild b/dev-python/tempora/tempora-5.5.1.ebuild
new file mode 100644
index 000000000000..beb42e1caf32
--- /dev/null
+++ b/dev-python/tempora/tempora-5.5.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Objects and routines pertaining to date and time"
+HOMEPAGE="
+ https://github.com/jaraco/tempora/
+ https://pypi.org/project/tempora/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/jaraco-functools-1.20[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pytest-freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/urllib3/Manifest b/dev-python/urllib3/Manifest
index 830e7ea2fa63..7a82197e2192 100644
--- a/dev-python/urllib3/Manifest
+++ b/dev-python/urllib3/Manifest
@@ -5,8 +5,10 @@ DIST urllib3-1.26.18.tar.gz 305687 BLAKE2B f2f673761a8d80eee715a8726ba36ab6b0980
DIST urllib3-2.0.7.tar.gz 282546 BLAKE2B d4fbb9e1d0b6d1f3c3d71efc3fc479c7b1c49f87ca849c387701fb0c8b4124082de6d83d958c8b2afc225a84b80e7665df857e7b0918ba50e4ad1431f8facc4d SHA512 ca21dd330cfc7f53e6f00a92be1df1d24acbe61b6ca31c52a272dccd6f50d1bb797eece9132860adc84c21a9bebc3030a12816081451fcb8384c11a6cd2d1e8b
DIST urllib3-2.1.0.tar.gz 263900 BLAKE2B 9e0438a11b7178c5004c1253179bb6bfcb1fa8711db47084377bb14c5834f7b88b04a5560b99bf6fff5f1f4622d4b1998d19dd517ab6b7453fd53c832ee7fefa SHA512 33d6eafd9b6ecd97ee2dca8a4f1612a6fcc584961bcfd3a0a188f557a73f4c1576f98dc525c3b2feecb2d676f4bf4364aafeef093d6686e4b3ef2043726561a8
DIST urllib3-2.2.0.tar.gz 287152 BLAKE2B 126949265c6558e8743f8e2e05e80fd211845c67436db096796f453ed248d348dcc73d3822c77bb94b55b711eb4b10899b60808be1f4981159f772a2066d5e39 SHA512 8fa2735ff623ec549802290a2317d3d24cdd18e43b8b0702dcee03ecba31428bd0dd12e5b8e129135a3f254bcf5bcd6a8b608c3a43192b50e3a815c73906f6cd
+DIST urllib3-2.2.1.tar.gz 291020 BLAKE2B 4bd6e26e1adfba99856db082d0bd3ea136a2367fa53c2d0c7990f6325e8145b2d080a8d59705c43acd97b26be65a309f83d1906d85bd72bfb479b7404972b042 SHA512 dfadba099db678ee1567ee95aa11a72fcea0a76df094d04dd4bd7ed5df4ea2fda6917cc122a1e2bfa4f5303916f93a7e1c881fbbf3cbb9415a25bd7eca1b14b3
EBUILD urllib3-1.26.18.ebuild 2312 BLAKE2B 9c1155aa93102ea0b118b2980142c07b9bb98b08ebb779861ecf182ffcedd542bb816e1f9a1976cdd09760ad2d0c931bc1d4fe8050ab2a93d9ded82ba0b4966d SHA512 9c4d385c148f5ba5e1a2f0792e1059aece3aff14baf2236edeee36e31fc6f83ff7b6401b6100d3d3f35ad631eb2bbbe4eec95e31dfb0948e2a4833c38c234a73
EBUILD urllib3-2.0.7.ebuild 3297 BLAKE2B aa93e50875380bda0b91543451be2d3425d0ab8c77650a9c84fff90c889ddf812ae66b78fed95ef820a68a510eb952716fea459f7dcef8b41db8156e0b5d3cb0 SHA512 790d5c7d1fb6838be75ecb3802cda5975ffe5a45c57cd67d6fe264de4bf47b9511b897233f8057298721665366f1da5bb89fbb58bf255b4659b8afc4f95224d4
EBUILD urllib3-2.1.0.ebuild 3297 BLAKE2B aa93e50875380bda0b91543451be2d3425d0ab8c77650a9c84fff90c889ddf812ae66b78fed95ef820a68a510eb952716fea459f7dcef8b41db8156e0b5d3cb0 SHA512 790d5c7d1fb6838be75ecb3802cda5975ffe5a45c57cd67d6fe264de4bf47b9511b897233f8057298721665366f1da5bb89fbb58bf255b4659b8afc4f95224d4
EBUILD urllib3-2.2.0-r1.ebuild 3114 BLAKE2B 7c6f0f27381c8058dc4bf97b4fc60517fd612a6b6d54b76ee81c8d4f0b99cdaf8848ed84c097f4b77c9566ea68457ca8c003f3e6ac9b53cf75e770c16d38bacf SHA512 8491d260e6b7f32646e4beef876dd481ab5d6843b96ddd3221bc3d500d8aee9417e2ed82d0fdf1f0e31fe4ccb9d404ff2eead22651cc88102808de10ed3d04a6
+EBUILD urllib3-2.2.1.ebuild 2849 BLAKE2B 03b8677acd813b4be94e3ef766d19afb529ca38be7f8e09c61870851de46b66bd1b1ccd0ef89e392926d09f6bd819877e82d9917c503a2915f45250e24cf8be4 SHA512 8d3f7edb37096aadabbdf2cf94d6cec47e9a344bf1cc4ca500cdf04230995febcf857611ce91c145e88a0b52b9c9476c5fa8ee54464b7ef25d408db2ddb6c429
MISC metadata.xml 449 BLAKE2B 45df5a0e80d7b229058be52fd8feb3ba2efe8d981b5b34216e4b9cb35d332588c4b3efade8e8d06bdf1f13159dfcd937458e5cf4d0cea5e07b6c1011cc8592cb SHA512 312b41031a9cbf6341f537fef94137420ca49ab609e7d4c325a998e328be415b381aa50e7b5600483d1a7583b72675a044b5dd80cb84a52539ab23271f1b096c
diff --git a/dev-python/urllib3/urllib3-2.2.1.ebuild b/dev-python/urllib3/urllib3-2.2.1.ebuild
new file mode 100644
index 000000000000..eb55415eb52a
--- /dev/null
+++ b/dev-python/urllib3/urllib3-2.2.1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_TESTED=( python3_{10..12} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1 pypi
+
+# The package has a test dependency on their own hypercorn fork.
+HYPERCORN_COMMIT=d1719f8c1570cbd8e6a3719ffdb14a4d72880abb
+DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
+HOMEPAGE="
+ https://github.com/urllib3/urllib3/
+ https://pypi.org/project/urllib3/
+"
+SRC_URI+="
+ test? (
+ https://github.com/urllib3/hypercorn/archive/${HYPERCORN_COMMIT}.tar.gz
+ -> hypercorn-${HYPERCORN_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~riscv"
+IUSE="brotli http2 test zstd"
+RESTRICT="!test? ( test )"
+
+# [secure] extra is deprecated and slated for removal, we don't need it:
+# https://github.com/urllib3/urllib3/issues/2680
+RDEPEND="
+ >=dev-python/PySocks-1.5.8[${PYTHON_USEDEP}]
+ <dev-python/PySocks-2.0[${PYTHON_USEDEP}]
+ brotli? ( >=dev-python/brotlicffi-0.8.0[${PYTHON_USEDEP}] )
+ http2? (
+ <dev-python/h2-5[${PYTHON_USEDEP}]
+ >=dev-python/h2-4[${PYTHON_USEDEP}]
+ )
+ zstd? ( >=dev-python/zstandard-0.18.0[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep "
+ ${RDEPEND}
+ dev-python/brotlicffi[\${PYTHON_USEDEP}]
+ dev-python/freezegun[\${PYTHON_USEDEP}]
+ dev-python/h2[\${PYTHON_USEDEP}]
+ dev-python/httpx[\${PYTHON_USEDEP}]
+ dev-python/pytest[\${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[\${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[\${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[\${PYTHON_USEDEP}]
+ dev-python/quart[\${PYTHON_USEDEP}]
+ dev-python/quart-trio[\${PYTHON_USEDEP}]
+ dev-python/trio[\${PYTHON_USEDEP}]
+ >=dev-python/tornado-4.2.1[\${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.5.3[\${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.18.0[\${PYTHON_USEDEP}]
+ " "${PYTHON_TESTED[@]}")
+ )
+"
+
+src_prepare() {
+ # upstream considers 0.5 s to be "long" for a timeout
+ # we get tons of test failures on *fast* systems because of that
+ sed -i -e '/LONG_TIMEOUT/s:0.5:5:' test/__init__.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTHONPATH=${WORKDIR}/hypercorn-${HYPERCORN_COMMIT}/src
+ local -x CI=1
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # TODO: timeouts
+ test/contrib/test_pyopenssl.py::TestSocketClosing::test_timeout_errors_cause_retries
+ test/with_dummyserver/test_socketlevel.py::TestSocketClosing::test_timeout_errors_cause_retries
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local EPYTEST_XDIST=1
+ epytest -p timeout -p rerunfailures --reruns=10 --reruns-delay=2
+}
diff --git a/dev-python/xarray/Manifest b/dev-python/xarray/Manifest
index 25c0a59d3f4e..0a657e651e3f 100644
--- a/dev-python/xarray/Manifest
+++ b/dev-python/xarray/Manifest
@@ -1,6 +1,8 @@
AUX xarray-2024.1.1-pytest-8.patch 3537 BLAKE2B fad48831eb697cf3d6f36eda1b96e160deaf35a158c39292f6fe566ad80a6c37290c918392e75d120110538515cd7e2714fda7dfc5f10cb9e78832ba7a2be330 SHA512 8be5a6efa52a6914dddf1e20e0553359d894eb9a365bdc4dd027ea0412a64418631b58ad3d809494065ef61253d22aad2fd528ba8a193ee5e9905ba9dffb0a38
DIST xarray-2024.1.0.tar.gz 3612457 BLAKE2B 53c99ade060ee9aafb9ff1416ab50e27271a5c45c06b8bda5183757b64694eea8649ae9515261112926aa872364c7a9349fb874114b82d5c7221d4d6104feb23 SHA512 1a5c184e6547e867076cd4faf533476608de13c4cfdb7085362e93c974598ea29d42c8fa55374b4782cc36ab7d870d4b7174217b3854db367ae16772e7f37cc8
DIST xarray-2024.1.1.tar.gz 3614037 BLAKE2B cc50fbfa19a2c9229b85b8c7d5d0e7e7f6d3e5a484955fcc81aa0b37839a0b992d2c2f928e4097ca05c7b8294ed1061fbd0c1b7e7c65c9087a940dab97c520ce SHA512 b6447ca2c80b3a3091ac2baba648fef4faa79ffff272360e9726b318b517ede9d2717d1b6f77f03fdacf55527233f1a37c0d114901fe1a265d3e435cf293a487
+DIST xarray-2024.2.0.tar.gz 3634288 BLAKE2B 8d1165360300da5af6d670947e5280052a3d8915768e02448b86ab38283d6d45258a2c4eb91982ba732ccedb3a7afc5f274116c9ee0072d35cdc5631b8a2ca50 SHA512 dcfe6d1f0edab8659664c5399b96d622d2e3df2f85bb7672d9afab6f74294a6449772efde080aaa7323f733c09cbd0f6f037e547be0afa79f39450eead777828
EBUILD xarray-2024.1.0.ebuild 3434 BLAKE2B 3ae3dfd236de77bd785432a6bbad30f4ae0c9e533f18d8e2177cf48e028d7f0ad5957e339162d4935ce6004b4007e831dfa5c9fbafec24000dcbdca23739aeb0 SHA512 386ce4c14867e050cb7765d1c0ad01f6d26dc72cdd9d2570e4da76d167b4c75f7a62d6406f700aee7dd36fd59d78e2cf55a4bbacd46f0f0756fd4bba59cdb442
EBUILD xarray-2024.1.1.ebuild 3554 BLAKE2B 47dcc42c080ca69c0d160524c7cd4bee6d7c7bb563302ca1060892d28cd6d55d38e4ff887b52db3a8bcb0a069ef1e688fd4f2aaa658a2ae4a8637a54fdd7e430 SHA512 ba0561337c4859775d34c7f91837ecad463a8b46819ea9b2827528f941a28e398da681900d5cb52a68cbf141099c65a9d84fc62e0700f0ffa16d4654d3586dfc
+EBUILD xarray-2024.2.0.ebuild 3629 BLAKE2B 3c2bc96f11d84192ce510b474d624d2697a393096fad623b4e8d0c62de05863386602c372797c0502ca8ef9ab1c0e926cddb658b7c5941408d4fc7e07c2cab72 SHA512 0b388e664a4694992f690ca9175c7c335cb99f5e50ebc1890149e30e2a996ea4364290d03fe74bcebff3b9d0e56c00bcb870e1447e3fe7b25f07f2ca20d767fa
MISC metadata.xml 509 BLAKE2B d470cc092eb055215a5868c22f9ec458057cfad600357fa1f658ed4537a6a6f68bda1422c4a665f1963ce0a6049e691befc3ca4baa60cc898364ad5f18164979 SHA512 602755896a3655295058afc8543a4bb64192d5c625f2edd86291c1f23d171f051a4238466163c2d469874aff3e68770fc76177e720870492266fb14e6faf6ce7
diff --git a/dev-python/xarray/xarray-2024.2.0.ebuild b/dev-python/xarray/xarray-2024.2.0.ebuild
new file mode 100644
index 000000000000..177406558283
--- /dev/null
+++ b/dev-python/xarray/xarray-2024.2.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="N-D labeled arrays and datasets in Python"
+HOMEPAGE="
+ https://xarray.pydata.org/
+ https://github.com/pydata/xarray/
+ https://pypi.org/project/xarray/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="big-endian"
+
+RDEPEND="
+ >=dev-python/numpy-1.23[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.5[${PYTHON_USEDEP}]
+ >=dev-python/packaging-22[${PYTHON_USEDEP}]
+"
+# note: most of the test dependencies are optional
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/bottleneck[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/toolz[${PYTHON_USEDEP}]
+ !hppa? ( >=dev-python/scipy-1.4[${PYTHON_USEDEP}] )
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # warning-targeted tests are fragile and not important to end users
+ xarray/tests/test_backends.py::test_no_warning_from_dask_effective_get
+ # TODO: segv in netcdf4-python
+ 'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-5-5]'
+ 'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-5-None]'
+ 'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-None-5]'
+ 'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-None-None]'
+ xarray/tests/test_backends.py::TestDask::test_save_mfdataset_compute_false_roundtrip
+ # TODO: broken
+ xarray/tests/test_backends.py::TestNetCDF4Data
+ xarray/tests/test_backends.py::TestNetCDF4ViaDaskData
+ # hangs
+ xarray/tests/test_backends.py::TestDask::test_dask_roundtrip
+ # mismatches when pyarrow is installed
+ # https://github.com/pydata/xarray/issues/8092
+ xarray/tests/test_dask.py::TestToDaskDataFrame::test_to_dask_dataframe_2D
+ xarray/tests/test_dask.py::TestToDaskDataFrame::test_to_dask_dataframe_not_daskarray
+ )
+ local EPYTEST_IGNORE=(
+ # requires datatree_ subpackage that is not part of public API
+ # https://github.com/pydata/xarray/issues/8768
+ xarray/tests/datatree
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+
+ if ! has_version ">=dev-python/scipy-1.4[${PYTHON_USEDEP}]" ; then
+ EPYTEST_DESELECT+=(
+ 'xarray/tests/test_missing.py::test_interpolate_na_2d[coords1]'
+ )
+ fi
+
+ if use big-endian ; then
+ EPYTEST_DESELECT+=(
+ # Appears to be a numpy issue in display? See bug #916460.
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145224193-ns-int64-20-True]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1970-09-21T00:12:44.145224808-ns-float64-1e+30-True]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145225216-ns-float64--9.223372036854776e+18-True]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145224193-ns-int64-None-False]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145225-us-int64-None-False]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1970-01-01T00:00:01.000001-us-int64-None-False]'
+ 'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:21:52.901038080-ns-float32-20.0-True]'
+ )
+ fi
+
+ epytest
+}